Get schedules by employee
This endpoint returns the schedules of an employee within a period not exceeding 31 days.
GET /api/v1/business/{businessId}/employees/{employeeId}/schedules/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}
If the data included in the request is correct — both the businessId and the employeeId — the response will contain the employee’s schedules for the time period specified in the URL.
Response example
[
{
"product": "0001-GENERAL",
"person": "170326",
"day": "2026-08-12",
"isWorked": false,
"rests": [
{
"start": "2026-08-12T00:00:00+02:00",
"end": "2026-08-13T00:00:00+02:00",
"paid": false
}
]
},
{
"product": "0001-GENERAL",
"person": "170326",
"day": "2026-08-11",
"isWorked": true,
"shift": [
{
"start": "2026-08-11T07:00:00+02:00",
"end": "2026-08-11T12:00:00+02:00"
}
],
"rests": [
{
"start": "2026-08-11T08:00:00+02:00",
"end": "2026-08-11T09:00:00+02:00",
"paid": true
}
]
}
]
Details
-
product: external identifier of the product or section.
-
person: external identifier of the employee.
-
day: the day the schedule refers to, in
yyyy-MM-ddformat. -
isWorked: indicates whether the day is a working day (
true) or a day off (false). -
shift: list of work shifts for the day. Each shift contains:
-
start: start of the shift in local time. The format is
yyyy-MM-ddTHH:mm:ssXXX, including the service’s time zone offset. -
end: end of the shift in local time. The format is
yyyy-MM-ddTHH:mm:ssXXX, including the service’s time zone offset.
-
-
rests: list of rest periods for the day. Each rest contains:
-
start: start of the rest in local time. The format is
yyyy-MM-ddTHH:mm:ssXXX, including the service’s time zone offset. -
end: end of the rest in local time. The format is
yyyy-MM-ddTHH:mm:ssXXX, including the service’s time zone offset. -
paid: indicates whether the rest period is paid.
-
Considering the example data, the employee’s schedule is:
-
2026-08-11: a working day ("isWorked": true) with a shift from 07:00 to 12:00, and a paid rest from 08:00 to 09:00. -
2026-08-12: a day off ("isWorked": false), unpaid.
Considerations
Schedules are expressed in the time zone configured for the service the employee works in each day.
If there are no schedules for the time period specified in the URL, the request will return an empty array [].
If the employee specified in the URL does not exist in the business, the request will return a 404 Not Found error, specifying in the message Person does not exist.
If the time interval specified in the URL exceeds 31 days, the request will return a 406 Not Acceptable error, specifying in the message The request exceded the maximum number of days allowed.
|
This query does not return information related to incidences, only assignment data: shifts and days off. |
Useful links
What is an assignment?